Package org.bukkit.event.entity

# Class PigZapEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityTransformEvent
com.destroystokyo.paper.event.entity.EntityZapEvent
org.bukkit.event.entity.PigZapEvent

All Implemented Interfaces:
  `Cancellable`

public class PigZapEvent extends EntityZapEvent implements Cancellable
Stores data for pigs being zapped

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.entity.EntityTransformEvent

`EntityTransformEvent.TransformReason`

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`PigZapEvent(@NotNull Pig pig, @NotNull LightningStrike bolt, @NotNull PigZombie pigzombie)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Pig`
`getEntity()`
Returns the Entity involved in this event
`@NotNull LightningStrike`
`getLightning()`
Gets the bolt which is striking the pig.
`@NotNull PigZombie`
`getPigZombie()`
Deprecated.
use `EntityTransformEvent.getTransformedEntity()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class com.destroystokyo.paper.event.entity.EntityZapEvent

`getBolt, getHandlerList, getHandlers, getReplacementEntity`

### Methods inherited from class org.bukkit.event.entity.EntityTransformEvent

`getTransformedEntities, getTransformedEntity, getTransformReason`

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PigZapEvent

public PigZapEvent(@NotNull @NotNull Pig pig, @NotNull @NotNull LightningStrike bolt, @NotNull @NotNull PigZombie pigzombie)

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Overrides:
  `isCancelled` in class `EntityZapEvent`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Overrides:
  `setCancelled` in class `EntityZapEvent`
Parameters:
  `cancel` - true if you wish to cancel this event

### getEntity

@NotNull public @NotNull Pig getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event

### getLightning

@NotNull public @NotNull LightningStrike getLightning()
Gets the bolt which is striking the pig.

Returns:
  lightning entity

### getPigZombie

@NotNull @Deprecated public @NotNull PigZombie getPigZombie()
Deprecated.
use `EntityTransformEvent.getTransformedEntity()`
Gets the zombie pig that will replace the pig, provided the event is not cancelled first.

Returns:
  resulting entity